View Issue Details

IDProjectCategoryView StatusLast Update
0003785SymmetricDSImprovementpublic2019-03-14 08:48
ReporterelongAssigned Tojosh-a-hicks 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.0 
Target Version3.10.0Fixed in Version3.10.0 
Summary0003785: Improve visibility of full and partial loads
DescriptionEnhance the full/partial loads feature with statistics and feedback for user.

- Add load_id to sym_extract request so it can be joined to sym_table_reload_request
- Add table_name to sym_table_reload_request so it works with wildcarded triggers
- Add statistics to both sym_table_reload_request and sym_extract request

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 0c2ea023

2019-01-09 16:08:54

josh-a-hicks

Details Diff
0003785: Improve visibility of full and partial loads
0003785
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

SymmetricDS: 3.10 17f380ac

2019-01-28 12:42:57

admin

Details Diff
0003785: Improve visibility of full and partial loads
0003785
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

SymmetricDS: 3.10 f1da057b

2019-02-05 10:51:41

admin

Details Diff
0003785: Improve visibility of full and partial loads
0003785
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IOutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AcknowledgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MultiBatchStagingWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchServiceSqlMap.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DataProcessor.java Diff File

Issue History

Date Modified Username Field Change
2018-11-05 11:01 elong New Issue
2018-11-05 11:01 elong Status new => assigned
2018-11-05 11:01 elong Assigned To => josh-a-hicks
2019-01-09 16:09 josh-a-hicks Status assigned => resolved
2019-01-09 16:09 josh-a-hicks Resolution open => fixed
2019-01-09 16:09 josh-a-hicks Fixed in Version => 3.10.0
2019-01-09 17:00 josh-a-hicks Changeset attached => SymmetricDS 3.10 0c2ea023
2019-01-28 17:00 admin Changeset attached => SymmetricDS 3.10 17f380ac
2019-02-05 11:00 admin Changeset attached => SymmetricDS 3.10 f1da057b
2019-03-14 08:48 admin Status resolved => closed